ADVICS Manufacturing(Thailand)Co.,Ltd. - Parent project #921
[PJ230028] MT MOC Traceability packing system add service for ADVICS

11 Apr 2025 11:39 - Karnthida Wannasiwaporn

Status: Closed Start date: 11 Apr 2025
Priority: Normal Due date:

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour
Description

History

#1 - 11 Apr 2025 11:40 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 30 Oct 2025 11:34 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed
